Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 216073 - 2008 amd64 live dvd you can only boot into xfce desktop, no gnome or kde
Summary: 2008 amd64 live dvd you can only boot into xfce desktop, no gnome or kde
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Release Media
Classification: Unclassified
Component: LiveCD/DVD (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo Release Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-03 18:03 UTC by stephen
Modified: 2010-04-03 16:47 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description stephen 2008-04-03 18:03:43 UTC
AMD64 live DVD 2008 beta you can only boot into xfce desktop. I restarted X repeatedly and attempted gnome/egnome, kde/ekde, and it always boots  into xfce. No big deal, I am so glad it's on the way to final, keep up the good work.

Reproducible: Always
Comment 1 Andrew Gaffney (RETIRED) gentoo-dev 2008-04-03 18:09:22 UTC
I'm not sure we really *care* if it can boot into Gnome/KDE. They're really only there so they can be installed with the installer.
Comment 2 Chris Gianelloni (RETIRED) gentoo-dev 2008-04-03 19:29:28 UTC
What exactly did you do to try to get the other desktop environments?
Comment 3 stephen 2008-04-03 23:03:49 UTC
I know it's not important at this point in development, it's still a bug though.
I'm sorry you don't care, you breakin my heart. I restarted X with ctrl+alt+backspace.
Comment 4 Chris Gianelloni (RETIRED) gentoo-dev 2008-04-04 02:04:55 UTC
Umm... I asked a question, too, you know.
Comment 5 Patrick Holthaus 2008-04-04 06:53:26 UTC
Just to mention: I wondered why these sessions are available in the sessions menu of gdm but only xfce is accessible. It would be nice if they were possible to start.
However: At least KDE can be started via: echo startkde > ~/.xinitrc && startx
Comment 6 Andrew Gaffney (RETIRED) gentoo-dev 2008-04-04 11:49:29 UTC
This is likely a problem that I noticed a few years back, but I can't seem to find the bug for it. When gdm, if you're using auto-login, changing the session doesn't do anything.

If you let the auto-login work to get you into Xfce, open a terminal, 'sudo su -', change the 'gentoo' user's password to a known value, log out of your session, change the session, and then actually log in to GDM (instead of letting the auto-login go), does it work?
Comment 7 stephen 2008-04-05 22:51:31 UTC
Chris, it's at the end of my comment: "I restarted X with
ctrl+alt+backspace."  
Comment 8 Patrick Holthaus 2008-04-06 16:10:05 UTC
Sorry for the delay, didn't have access to my PC...

If I set a password for user gentoo, every session can be started except for e-kde and e-gnome.
Comment 9 Andrew Gaffney (RETIRED) gentoo-dev 2008-04-06 16:38:01 UTC
What are e-kde and e-gnome? If these are secondary to the normal KDE and Gnome sessions, then I'm right about the old bug coming back to bite us.
Comment 10 Patrick Holthaus 2008-04-07 06:23:04 UTC
I don't know what these sessions are. But the problem starting them seems unrelated. GDM runs them but the session gets closed instantly. So maybe you are right about the old bug.
Comment 11 Gef 2010-04-03 16:28:50 UTC
Are recent release affected ? (this bug is kind of old)
Comment 12 David Abbott gentoo-dev 2010-04-03 16:47:36 UTC
I am going to close this bug the installer is an abandoned project.
The current LiveDvd does not include an installer but does offer KDE and Gnome and is currently being worked on for version 10.2
http://www.gentoo.org/proj/en/pr/releases/10.0/faq.xml
also irc #gentoo-ten